Skip to main content
PUT
Upsert a user record

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Query Parameters

matching_attribute
string
required

The ID or slug of the attribute to use to check if a user already exists. The attribute does not have to be unique, but a value that matches more than one record is rejected. For user records, you can use primary_email_address or user_id, or any other matchable attribute.

Example:

"primary_email_address"

Body

application/json
data
object
required

Response

Success

Success

data
object
required